//----------------------------------------------------------------------------------------------------//

/* 
 *	Jan Koci Software
 *	http://koci.opengl.cz
 */

//----------------------------------------------------------------------------------------------------//

/* 
* KDebug.h
* 
* Source file for debug informations
* 
*
*/

//----------------------------------------------------------------------------------------------------//

/*
* 05.01.21 - First version
*			
*/

//----------------------------------------------------------------------------------------------------//

#include "StdAfx.h"


CDebug::CDebug(void)
{
}

CDebug::~CDebug(void)
{
}

//----------------------------------------------------------------------------------------------------//

void CDebug::InfoMsg( char *strMsg, int i )				
{
	char *str = new char[256];										
	sprintf( str, "%s = %i" , strMsg, i );							
	if(MessageBox( NULL, str, "Info", MB_OKCANCEL | MB_ICONINFORMATION )== IDCANCEL)		
	{
		exit(0);
	}
	delete[] str;													
	str = NULL;														
}

//----------------------------------------------------------------------------------------------------//

void CDebug::InfoMsg(const char *strMsg,const int iVal0,const int iVal1 )
{
	char *str = new char[256];										
	sprintf( str, "%s -- %i, %i" , strMsg, iVal0, iVal1 );							
	if(MessageBox( NULL, str, "Info", MB_OKCANCEL | MB_ICONINFORMATION )== IDCANCEL)		
	{
		exit(0);
	}
	delete[] str;													
	str = NULL;														
}

//----------------------------------------------------------------------------------------------------//

// Show info message with variable of type unsigned int
void CDebug::InfoMsg( char *strMsg, unsigned int i )
{
	char str[256];
	sprintf( str, "%s = %i" , strMsg, i );	// Create message and formatte data to a string
	// Show message
	if(MessageBox( NULL, str, "Info", MB_OKCANCEL | MB_ICONINFORMATION )== IDCANCEL)		
	{
		exit(0);
	}
}

//----------------------------------------------------------------------------------------------------//					

void CDebug::InfoMsg( char *strMsg, char *strValue )				
{
	char *str = new char[256];										
	sprintf( str, "%s = %s" , strMsg, strValue );							
	if(MessageBox( NULL, str, "Info", MB_OKCANCEL | MB_ICONINFORMATION )== IDCANCEL)		
	{
		exit(0);
	}

	delete[] str;													
	str = NULL;														

}

//----------------------------------------------------------------------------------------------------//

void CDebug::InfoMsg( char *strMsg,const char *strValue )	
{
	char *str = new char[256];										
	sprintf( str, "%s = %s" , strMsg, strValue );							
	if(MessageBox( NULL, str, "Info", MB_OKCANCEL | MB_ICONINFORMATION )== IDCANCEL)		
	{
		exit(0);
	}

	delete[] str;													
	str = NULL;														

}

//----------------------------------------------------------------------------------------------------//

void CDebug::InfoMsg( char *strMsg,const unsigned char *strValue )	
{
	char *str = new char[256];										
	sprintf( str, "%s = %s" , strMsg, strValue );							
	if(MessageBox( NULL, str, "Info", MB_OKCANCEL | MB_ICONINFORMATION )== IDCANCEL)		
	{
		exit(0);
	}

	delete[] str;													
	str = NULL;														

}

//----------------------------------------------------------------------------------------------------//

void CDebug::InfoMsg( char *strMsg, float f )				
{
	char str[256];
	sprintf( str, "%s = %f" , strMsg, f );							
	if(MessageBox( NULL, str, "Info", MB_OKCANCEL | MB_ICONINFORMATION )== IDCANCEL)		
	{
		exit(0);
	}													
}

//----------------------------------------------------------------------------------------------------//

// Get message from double value
void CDebug::InfoMsg( char *strMsg, double d )						
{									
	char str[256];
	sprintf( str, "%s = %f" , strMsg, d );							
	if(MessageBox( NULL, str, "Info", MB_OKCANCEL | MB_ICONINFORMATION )== IDCANCEL)		
	{
		exit(0);
	}

}

//----------------------------------------------------------------------------------------------------//

void CDebug::InfoMsg( char *strMsg)				
{
	if(MessageBox( NULL, strMsg, "Info", MB_OKCANCEL | MB_ICONINFORMATION )== IDCANCEL)		
	{
		exit(0);
	}
}

//----------------------------------------------------------------------------------------------------//
